org.restlet.engine.io

## Class TraceOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - org.restlet.engine.io.TraceOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

    public class TraceOutputStream
    extends java.io.FilterOutputStream

Filter output stream that sends a copy of all data on the standard console.

Author:
  Jerome Louvel

### Field Summary

### Fields inherited from class java.io.FilterOutputStream

`out`

### Constructor Summary

Constructors
Constructor and Description
`TraceOutputStream(java.io.OutputStream out)` Constructor.

### Method Summary

Methods
`void` `flush()`
`void` `write(int b)`

### Methods inherited from class java.io.FilterOutputStream

`close, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TraceOutputStream

    public TraceOutputStream(java.io.OutputStream out)

Constructor.

Parameters:
  `out` - The output stream to wrap.

### Method Detail

#### flush

    public void flush()
               throws java.io.IOException

Specified by:
  `flush` in interface `java.io.Flushable`
Overrides:
  `flush` in class `java.io.FilterOutputStream`
Throws:
  `java.io.IOException`

#### write

    public void write(int b)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.FilterOutputStream`
Throws:
  `java.io.IOException`